﻿'Copyright (c) 2009 Grailtek

'Permission is hereby granted, free of charge, to any person
'obtaining a copy of this software and associated documentation
'files (the "Software"), to deal in the Software without
'restriction, including without limitation the rights to use,
'copy, modify, merge, publish, distribute, sublicense, and/or sell
'copies of the Software, and to permit persons to whom the
'Software is furnished to do so, subject to the following
'conditions:

'The above copyright notice and this permission notice shall be
'included in all copies or substantial portions of the Software.

'THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'OTHER DEALINGS IN THE SOFTWARE.

Namespace Controls

    Public Class ItemsGrid
        Inherits DataGridView 'TODO: change out with better grid later

        Protected Overrides Sub OnMouseClick(ByVal e As System.Windows.Forms.MouseEventArgs)
            If e.Button = Windows.Forms.MouseButtons.Right Then
                Me.OnRightClick(e)
            End If
            MyBase.OnMouseClick(e)
        End Sub

        Protected Overridable Sub OnRightClick(ByVal e As System.Windows.Forms.MouseEventArgs)
            ShowActionsContextMenu(e)
        End Sub

        Private Sub ShowActionsContextMenu(ByVal e As System.Windows.Forms.MouseEventArgs)
            Dim cm As New ContextMenu
            Dim test As MenuItem = cm.MenuItems.Add("test")
            cm.Show(Me, e.Location)
        End Sub

    End Class

End Namespace