﻿'Copyright (c) 2009 Grailtek

'Permission is hereby granted, free of charge, to any person
'obtaining a copy of this software and associated documentation
'files (the "Software"), to deal in the Software without
'restriction, including without limitation the rights to use,
'copy, modify, merge, publish, distribute, sublicense, and/or sell
'copies of the Software, and to permit persons to whom the
'Software is furnished to do so, subject to the following
'conditions:

'The above copyright notice and this permission notice shall be
'included in all copies or substantial portions of the Software.

'THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'OTHER DEALINGS IN THE SOFTWARE.

Imports System.Text

Namespace Controls

    'TODO: this is clunky by should be good enough for demo purpopses
    Public Class ListBoxTraceListener
        Inherits TraceListener
        Public Sub New(ByVal itb As TextBoxBase)
            tb = itb
        End Sub
        Private ReadOnly tb As TextBoxBase
        Private sb As New StringBuilder
        Public Overloads Overrides Sub Write(ByVal message As String)
            sb.Append(message)
            tb.Text = sb.ToString
        End Sub
        Public Overloads Overrides Sub WriteLine(ByVal message As String)
            sb.Insert(0, message & Environment.NewLine)
            tb.Text = sb.ToString
        End Sub
    End Class

End Namespace
